# eric4.E4XML.HighlightingStylesHandler

Module implementing the handler class for handling a highlighting styles XML file.

### Global Attributes

None

### Classes

HighlightingStylesHandler | Class implementing a sax handler to read a highlighting styles file.

### Functions

None

## HighlightingStylesHandler

Class implementing a sax handler to read a highlighting styles file.

### Derived from

XMLHandlerBase

### Class Attributes

None

### Methods

HighlightingStylesHandler | Constructor
getVersion | Public method to retrieve the version of the shortcuts.
startDocumentHighlightingStyles | Handler called, when the document parsing is started.
startHighlightingStyles | Handler method for the "HighlightingStyles" start tag.
startLexer | Handler method for the "Lexer" start tag.
startStyle | Handler method for the "Style" start tag.

#### HighlightingStylesHandler (Constructor)

HighlightingStylesHandler(lexers)

Constructor

lexers
  dictionary of lexer objects for which to import the styles

#### HighlightingStylesHandler.getVersion

getVersion()

Public method to retrieve the version of the shortcuts.

Returns:
  String containing the version number.

#### HighlightingStylesHandler.startDocumentHighlightingStyles

startDocumentHighlightingStyles()

Handler called, when the document parsing is started.

#### HighlightingStylesHandler.startHighlightingStyles

startHighlightingStyles(attrs)

Handler method for the "HighlightingStyles" start tag.

attrs
  list of tag attributes

#### HighlightingStylesHandler.startLexer

startLexer(attrs)

Handler method for the "Lexer" start tag.

attrs
  list of tag attributes

#### HighlightingStylesHandler.startStyle

startStyle(attrs)

Handler method for the "Style" start tag.

attrs
  list of tag attributes

Up